# ``twisted`.`words`.`im`.`ircsupport`.`IRCAccount``

class documentation

`class IRCAccount(basesupport.AbstractAccount): (source)`

Implements interfaces: `twisted.words.im.interfaces.IAccount`

View In Hierarchy

Undocumented

Method | `__init__` | No summary
Method | `logOff` | Sign off.
Class Variable | `gatewayType` | A `str` that identifies the protocol used by this account.
Instance Variable | `channels` | Undocumented
Method | `_startLogOn` | Start the sign on process.

Inherited from `AbstractAccount`:

Method | `__getstate__` | Get state, adding a version number to it on its way out.
Method | `__repr__` | Undocumented
Method | `getGroup` | Group factory.
Method | `getPerson` | Person factory.
Method | `isOnline` | Undocumented
Method | `logOn` | Log on to this account.
Method | `upgrateToVersion2` | Undocumented
Class Variable | `persistanceVersion` | Undocumented
Instance Variable | `accountName` |
Instance Variable | `autoLogin` |
Instance Variable | `client` | Undocumented
Instance Variable | `host` |
Instance Variable | `password` |
Instance Variable | `port` |
Instance Variable | `username` |
Method | `_cb_logOn` | Undocumented
Method | `_clientLost` | Undocumented
Method | `_loginFailed` | Errorback for `logOn`.
Class Variable | `_groupFactory` | A Callable that will return a `IGroup` appropriate for this account type.
Class Variable | `_personFactory` | A Callable that will return a `IPerson` appropriate for this account type.
Instance Variable | `_groups` | Undocumented
Instance Variable | `_isConnecting` | Whether I am in the process of establishing a connection to the server.
Instance Variable | `_isOnline` | Whether I am currently on-line with the server.
Instance Variable | `_persons` | Undocumented

Inherited from `Versioned` (via `AbstractAccount`):

Method | `__setstate__` | Undocumented
Method | `versionUpgrade` | (internal) Do a version upgrade.
Class Variable | `persistenceForgets` | Undocumented
Class Variable | `persistenceVersion` | Undocumented
Instance Variable | `__dict__` | Undocumented

def __init__(self, accountName, autoLogin, username, password, host, port, channels=''): (source)
from `twisted.words.im.interfaces.IAccount`
overrides `twisted.words.im.basesupport.AbstractAccount.__init__`

Parameters
accountName:string | A name to refer to the account by locally.
autoLogin:boolean | Undocumented
username:string | Undocumented
password:string | Undocumented
host:string | Undocumented
port:integer | Undocumented
channels | Undocumented

def logOff(self): (source)
from `twisted.words.im.interfaces.IAccount`
Sign off.
gatewayType: `str` = (source)
from `twisted.words.im.interfaces.IAccount`
A `str` that identifies the protocol used by this account.
channels: `list` = (source)

Undocumented

def _startLogOn(self, chatui): (source)
overrides `twisted.words.im.basesupport.AbstractAccount._startLogOn`

Start the sign on process.

Factored out of `logOn`.

Returns
Deferred `interfaces.IClient` | Undocumented